macroScript enableFrameLog category:"Bobo_s Tools"
(
	txt1 = "frame_render_log = openFile ((GetDir #Image)+\"/RenderFrames.log\") mode:\"a\"  \n "
	txt1 +="if frame_render_log == undefined then frame_render_log = createFile ((GetDir #Image)+\"/RenderFrames.log\") \n"
	txt1 +="format \"Rendering [%] \n\" rendOutputFileName to:frame_render_log \n"
	txt1 +="close frame_render_log   \n"
	
	txt2 = "global frame_rendering_start_time = timestamp()\n"
	
	txt3 = "frame_render_log = openFile ((GetDir #Image)+\"/RenderFrames.log\") mode:\"a\"  \n "
	txt3 +="format \"Frame Time: % sec. \n\" ((timestamp()-frame_rendering_start_time)/1000.0) to:frame_render_log \n"
	txt3 +="close frame_render_log   \n"
	
	callbacks.removeScripts id:#frame_render_times 
	callbacks.addScript #PreRender txt1 id:#frame_render_times 
	callbacks.addScript #PreRenderFrame txt2 id:#frame_render_times 
	callbacks.addScript #PostRenderFrame txt3 id:#frame_render_times 
)

macroScript disableFrameLog category:"Bobo_s Tools"
(
	callbacks.removeScripts id:#frame_render_times 
)
